Name:           python-resultsdb_api
# NOTE: if you update version, *make sure* to also update `setup.py`
Version:        2.0.0
Release:        9%{?dist}
Summary:        Interface api to ResultsDB

License:        GPLv2+
URL:            https://pagure.io/taskotron/resultsdb_api
Source0:        https://qa.fedoraproject.org/releases/resultsdb_api/resultsdb_api-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-pytest-cov
BuildRequires:  python2-setuptools
BuildRequires:  python2-simplejson

%if 0%{?fedora}
BuildRequires:  python2-pytest
BuildRequires:  python2-requests
BuildRequires:  python2-virtualenv
%else
BuildRequires:  pytest
BuildRequires:  python-requests
BuildRequires:  python-virtualenv
%endif

%if (0%{?fedora} && 0%{?fedora} <= 27) || (0%{?epel} && 0%{?epel} <= 7)
BuildRequires:  python-dingus
%else
BuildRequires:  python2-dingus
%endif

%{?python_provide:%python_provide python-resultsdb_api}

%global _description\
Interface api to ResultsDB

%description %_description

# ********* Python 2 package **********

%package -n python2-resultsdb_api
Summary: %summary
Requires:       python2-simplejson

%if 0%{?fedora}
Requires:       python2-requests
%else
Requires:       python-requests
%endif

%{?python_provide:%python_provide python2-resultsdb_api}

%description -n python2-resultsdb_api %_description

# *************************************

%prep
%setup -q -n resultsdb_api-%{version}

%check
## FIXME: fix the test suite
## https://pagure.io/taskotron/resultsdb_api/issue/1
# make test

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files -n python2-resultsdb_api
%doc README.md
%license LICENSE
%{python2_sitelib}/resultsdb_api.*
%{python2_sitelib}/*.egg-info

%changelog
* Thu Feb 08 2018 Kamil Páral <kparal@redhat.com> - 2.0.0-9
- fix yet another dependency issue for EPEL

* Mon Feb 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.0.0-8
- Fix condition for EPEL

* Mon Feb 05 2018 Kamil Páral <kparal@redhat.com> - 2.0.0-7
- Fix deps for EPEL

* Fri Feb 02 2018 Kamil Páral <kparal@redhat.com> - 2.0.0-6
- Accomodate deps for F27 and older

* Tue Jan 30 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.0.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-4
- Python 2 binary package renamed to python2-resultsdb_api
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 02 2017 Kamil Páral <kparal@redhat.com> - 2.0.0-1
- fix like: filter
- synchronize major version number with resultsdb major number
- disable the test suite until it is fixed

* Thu Nov 3 2016 Tim Flink <tflink@fedoraproject.org> - 1.3.0-1
- add support for resultsdb 2.0

* Wed May 25 2016 Martin Krizek <mkrizek@redhat.com> - 1.2.2-3
- remove not needed custom python_sitelib macro

* Tue May 24 2016 Martin Krizek <mkrizek@redhat.com> - 1.2.2-2
- rename to python-resultsdb_api (obsolete resultsdb_api)
- add python_provide
- add LICENSE file
- add check

* Wed Jul 8 2015 Martin Krizek <mkrizek@redhat.com> - 1.2.2-1
- Remove trailing slashes from url before it's used
- Add missing python-simplejson dependency

* Thu Apr 9 2015 Tim Flink <tflink@fedoraproject.org> - 1.2.1-1
- added option for retrieving job data after update_job (T456)

* Wed Apr 1 2015 Tim Flink <tflink@fedoraproject.org> - 1.2.0-1
- added logging capability, logging response errors
- added UUID support for execdb integration

* Fri May 16 2014 Tim Flink <tflink@fedoraproject.org> - 1.1.0-1
- Releasing resultsdb_api 1.1.0

* Fri Apr 25 2014 Tim Flink <tflink@fedoraproject.org> - 1.0.2-1
- bugfixes from upstream

* Fri Apr 11 2014 Tim Flink <tflink@fedoraproject.org> - 1.0.1-1
- initial packaging
